List related incidents for a specific incident.
GET
/
v1
/
incident_relationships
List
curl --request GET \
--url https://api.incident.io/v1/incident_relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v1/incident_relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v1/incident_relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident_relationships": [
{
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"incident": {
"external_id": 123,
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "The database is down"
}
}
],
"pagination_meta": {
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
}🔑 Requires the
incidents.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Query Parameters
ID of the incident to find relationships for
Example:
"01FCNDV6P870EA6S7TK1DSYD5H"
Integer number of records to return
Required range:
x <= 250Example:
25
An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.
Example:
"01FDAG4SAP5TYPT98WGR2N7W91"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[
{
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"incident": {
"external_id": 123,
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "The database is down"
}
}
]
Show child attributes
Show child attributes
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
Was this page helpful?
⌘I
List
